i2o_scsi_bios_param
Prev | I2O message devices | Next

## Name

i2o_scsi_bios_param — Invent disk geometry

## Synopsis

`int i2o_scsi_bios_param (` | struct scsi_device * | sdev,
| struct block_device * | dev,
| sector_t | capacity,
| int * | ip`)`;

## Arguments

`sdev`

  scsi device

`dev`

  block layer device

`capacity`

  size in sectors

`ip`

  geometry array

## Description

This is anyone's guess quite frankly. We use the same rules everyone else appears to and hope. It seems to work.

Prev | Up | Next
i2o_scsi_abort | Home | i2o_scsi_init